package db

import (
	"errors"
)

var (
	errorBeginTransaction         = errors.New("Failed to start new transaction")
	errorGetAsset                 = errors.New("Failed to get asset from go-bindata")
	errorNoRowsAffected           = errors.New("No rows affected")
	errorRowNotFound              = errors.New("Failed to find row by given ID")
	errorPrepareStatement         = errors.New("Failed to prepare sql statement")
	errorRollbackTransaction      = errors.New("Failed to rollback transaction")
	errorScanRow                  = errors.New("Failed to scan row")
	errorStatementExecute         = errors.New("Failed to execute statement")
	errorStatementQuery           = errors.New("Failed to query statement")
	errorUnknownMeasuredValueType = errors.New("Unknown measured value type")
)
